#include <stdio.h>
#include <stdlib.h>

void swap(long long int * xp, long long int * yp) {
  long long int temp = * xp;
  * xp = * yp;
  * yp = temp;
}
void bubbleSort(long long int arr[], long long int n) {
  long long int i, j;
  for (i = 0; i < n - 1; i++)
    for (j = 0; j < n - i - 1; j++)
      if (arr[j] > arr[j + 1])
        swap( & arr[j], & arr[j + 1]);
}

int main() {
  long long int n, q;
  scanf("%lld %lld", & n, & q);
  long long int a[n+1];
  a[n] = -1;
  long long int i;
  scanf("%lld", & a[0]);
  for (i = 1; i < n; i++) {
    scanf("%lld", & a[i]);
  }
  long long int b[q];
  scanf("%lld", & b[0]);
  for (i = 1; i < q; i++) {
    scanf("%lld", & b[i]);
  }
  bubbleSort(a, n);
  long long int m, med;
  long long int num[q];
  long long int j;
  int x;
  long long int p;
  int postoji = 0;
  long long int pomocni[n+1];
  for (j = 0; j < q; j++) {
    p = 0;
    for(i=0;i<=n;i++) pomocni[i]=a[i];
    for (i = 0; i < n; i++) {
      if (b[j] == pomocni[i]) {
        postoji = 1;
      }
    }
    
    if (postoji == 1) {

      med = (n / 2);
      m = pomocni[med];
      if (m == b[j]) {
        num[j] = 0;
      } else if (n % 2 == 0) {
        if (m > b[j]) {
          while (pomocni[med - p] != b[j]) p++;
          x = 1;
        } else if (m < b[j]) {
          while (pomocni[med + p] != b[j]) p++;
          x = 2;
        }
        num[j] = x * p;
      } else if (n % 2 == 1) {
        if (m > b[j]) {
          while (pomocni[med - p] != b[j]) p++;
          x = 2;
          num[j] = x * p;
        } else if (m < b[j]) {
          while (pomocni[med + p] != b[j]) p++;
          if (p == 1) num[j] = 1;
          else num[j] = (p - 1) * 2 + 1;

        }
      }
     }
    else if (postoji == 0) {
      pomocni[n] = b[j];
      bubbleSort(pomocni, n + 1);
      med = (n / 2);
      m = pomocni[med];
      if (m == b[j]) {
        num[j] = 0;
      } else if (n % 2 == 0) {
        if (m > b[j]) {
          while (pomocni[med - p] != b[j]) p++;
          x = 1;
        } else if (m < b[j]) {
          while (pomocni[med + p] != b[j]) p++;
          x = 2;
        }
        num[j] = x * p;
      } else if (n % 2 == 1) {
        if (m > b[j]) {
          while (pomocni[med - p] != b[j]) p++;
          x = 2;
          num[j] = x * p;
        } else if (m < b[j]) {
          while (pomocni[med + p] != b[j]) p++;
          if (p == 1) num[j] = 1;
          else num[j] = (p - 1) * 2 + 1;

        }   
      }
     num[j] += 1; 
    }
     
  }
  for (j = 0; j < q; j++)
    printf("%lld\n", num[j]);
  return 0;
}